Jump to content
Shibuboss

" Z " Value with Leader

Recommended Posts

Shibuboss

Hello everybody,

 

How we can pick the value of a point's Z value with a leader like the attached image.

 

A lisp can do this ? Autocad have the commands for this.Please advise

 

Thanks in advance..

Regardso:)

ramp1.jpg

Share this post


Link to post
Share on other sites
NBC

Sounds like a job for Multi-leaders and a block/or field

Share this post


Link to post
Share on other sites
BearDyugin

The second variant - leader + Lisp

Parametres of leader by default

(defun c:geo_koord_leader (/ pod_z koord sign)
(setvar "DIMZIN" 0)  
(initget "X Y Z")
 (setq
   geo_pod (if geo_pod geo_pod "Z")
   pod_z (getkword (strcat"\nSign [X/Y/Z] <"geo_pod">: "))
   geo_pod (if pod_z pod_z geo_pod)
 )
 (while (and
   (setq koord (getpoint "\nStarting point <Exit>:"))
 )
   (setq
     sign (rtos
     (cond
       ((eq geo_pod "X")(car koord))
       ((eq geo_pod "Y")(cadr koord))
       (T (caddr koord))) 2 3))
   (VL-cmdf "_leader" koord pause "" sign "")
 )
)

(princ "command name: geo_koord_leader")

Share this post


Link to post
Share on other sites
Shibuboss

Thanks a lot Geobuilder.I got it.

 

Regards:D

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...